Subject: [Ace] Murray Kucherawy's No Objection on draft-ietf-ace-aif-06: (with COMMENT)

From: Murray Kucherawy via Datatracker <[email-masked]>
Date: Wed, 09 Mar 2022 20:14:40 -0800

Murray Kucherawy has entered the following ballot position for
draft-ietf-ace-aif-06: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/about/groups/iesg/statements/handling-ballot-positions/ 
for more information about how to handle DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-ace-aif/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

The shepherd writeup seems to have been done in something of a hurry, and I'd
like to see that cleaned up if possible before publication.  Specifically: The
first question doesn't contain a complete answer.  The Document Quality section
is not answered at all.  "No" is a curious answer to #13; it's saying
references are not split into "Normative" and "Informative"?  The answer to #14
is similarly curious.  The answer to #18 is confusing; it appears to be a
registry snapshot, not a confirmation that any new registries are properly
defined.  Lastly, #20 was not answered.

The Abstract seems to suggest very broad application.  Should there be a
sentence in there that indicates the context of the work (specifically, ACE)?

In Section 5.1, "Required Parameters" shouldn't be "none", but rather "N/A";
see Section 5.6 of RFC 6838 for more information.

The second paragraph of Section 6 (about default-deny) strikes me as something
that should really be up in Section 2 or Section 3; it's something fundamental
and ought to be called out up front.

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 10 Mar 2022 10:38:59 +0100

Hi Murray,

thank you for this review.

I’m currently collecting updates into https://github.com/cabo/ace-aif until the ID submission opens again.

> On 2022-03-10, at 05:14, Murray Kucherawy via Datatracker <[email-masked]> wrote:
> 
[…]
> The shepherd writeup […]

I’ll leave that part to shepherd and AD.

(As an author, I always wonder how active my role in generating this writeup should be.
Clearly, it is more useful if it has a strictly independent perspective.
But that is maybe a different discussion.)

> sentence in there that indicates the context of the work (specifically, ACE)?

I don’t think the areas of application of this format are limited to the ACE protocols.

(The intention, of course, also isn’t to push out all other authorization models in the IETF…
I was hoping that should be obvious, but that is also why the title is 
“**An** Authorization Information Format (AIF) for ACE”.)

> see Section 5.6 of RFC 6838 for more information.

Fixed in https://github.com/cabo/ace-aif/commit/0f53118

> and ought to be called out up front.

That is indeed the more correct way of doing this.

I put a copy of that paragraph right as the second paragraph of Section 2 (Information Model).
I’m not quite sure whether the redundancy of saying that again in Section 6 would be worse than not saying it again would be; I removed the copy in Section 6 though.

Fixed in https://github.com/cabo/ace-aif/commit/21f3afe

Grüße, Carsten